package com.prolog.cs.biz.outbound.model;

import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Ignore;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description  拣选任务主表
 * @Date 2021-04-30 
 */
@ApiModel
@Table ( value ="wms_pick_task_h",camelToUnderline = true )
public class PickTaskH extends BaseModel implements Serializable {
	private static final long serialVersionUID =  8463033816869743853L;
	@Id
	@ApiModelProperty(value = " 主键id")
	@Column(value = "pick_task_id")
	private String pickTaskId;

	@ApiModelProperty(value = "拣货类型（0:整件 1:零货 2:功能库房 3:整单）")
	@Column(value = "pick_task_type")
	private Integer pickTaskType;

	@ApiModelProperty(value = "状态 0：带索取 1：待拣选 2：待内复核索取 3.待内复核确认 10：完成")
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "容器编号") 
	@Column(value = "container_code")
	private String containerCode;

	@ApiModelProperty(value = "波次id")
	@Column(value = "wave_id")
	private String waveId;

	@ApiModelProperty(value = "仓库id")
	@Column(value = "warehouse_id")
	private String warehouseId;

	@ApiModelProperty(value = "拣选单id") 
	@Column(value = "pick_order_id")
	private String pickOrderId;

	@ApiModelProperty(value = "复核台id")
	@Column(value = "station_id")
	private String stationId;

	@ApiModelProperty(value = "复核台编号")
	@Column(value = "station_code")
	private String stationCode;

	@ApiModelProperty(value = "复核台名称")
	@Column(value = "station_name")
	private String stationName;

	@ApiModelProperty(value = "滑道id")
	@Column(value = "slideway_id")
	private String slidewayId;

	@ApiModelProperty(value = "最大分组")
	@Column(value = "pick_piece_group")
	private String pickPieceGroup;

	@ApiModelProperty(value = "订单id")
	@Column(value = "bill_id")
	private String billId;

	@ApiModelProperty(value = "订单组id")
	@Column(value = "bill_group_id")
	private String billGroupId;

	@ApiModelProperty(value = "建筑物id")
	@Column(value = "bldg_id")
	private String bldgId;

	@ApiModelProperty(value = "建筑物名称")
	@Column(value = "bldg_name")
	private String bldgName;

	@ApiModelProperty(value = "库区编码")
	@Column(value = "warehouse_area_code")
	private String warehouseAreaCode;

	@ApiModelProperty(value = "type：0，拣货任务,1 补货任务")
	@Column(value = "type")
	private Integer type;

	@ApiModelProperty(value = "备注")
	@Column(value = "remark")
	private String remark;


	@Ignore
	@ApiModelProperty(value = "拣选数量")
	private BigDecimal qty;

	@Ignore
	@ApiModelProperty(value = "已拣数量")
	private BigDecimal pickQty;

	@Ignore
	@ApiModelProperty(value = "未拣数量")
	private BigDecimal unPickQty;

	@Ignore
	@ApiModelProperty(value = "复核数量")
	private BigDecimal checkQty;

	@Ignore
	@ApiModelProperty(value = "托盘号")
	private String containerNo;

	@Column("serial_number")
	@ApiModelProperty(value = "容器序号")
	private String serialNumber;

	@ApiModelProperty(value = "订单紧急等级")
	@Column(value = "priority")
	private Integer priority;

	@Column(value = "is_merged")
	@ApiModelProperty(value = "是否合单0,没有合并，1 合并过的订单，2合并后的订单")
	private Integer isMerged;

	@ApiModelProperty(value = "拆分前源ID")
	@Column(value = "split_source_id")
	private String splitSourceId;

	public String getSplitSourceId() {
		return splitSourceId;
	}

	public void setSplitSourceId(String splitSourceId) {
		this.splitSourceId = splitSourceId;
	}

	public Integer getIsMerged() {
		return isMerged;
	}

	public void setIsMerged(Integer isMerged) {
		this.isMerged = isMerged;
	}

	public String getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(String serialNumber) {
		this.serialNumber = serialNumber;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getBillGroupId() {
		return billGroupId;
	}

	public void setBillGroupId(String billGroupId) {
		this.billGroupId = billGroupId;
	}

	public String getWarehouseAreaCode() {
		return warehouseAreaCode;
	}

	public void setWarehouseAreaCode(String warehouseAreaCode) {
		this.warehouseAreaCode = warehouseAreaCode;
	}

	public String getBldgId() {
		return bldgId;
	}

	public void setBldgId(String bldgId) {
		this.bldgId = bldgId;
	}

	public String getBldgName() {
		return bldgName;
	}

	public void setBldgName(String bldgName) {
		this.bldgName = bldgName;
	}

	public BigDecimal getQty() {
		return qty;
	}

	public void setQty(BigDecimal qty) {
		this.qty = qty;
	}

	public BigDecimal getPickQty() {
		return pickQty;
	}

	public void setPickQty(BigDecimal pickQty) {
		this.pickQty = pickQty;
	}

	public BigDecimal getCheckQty() {
		return checkQty;
	}

	public void setCheckQty(BigDecimal checkQty) {
		this.checkQty = checkQty;
	}

	public BigDecimal getUnPickQty() {
		return unPickQty;
	}

	public void setUnPickQty(BigDecimal unPickQty) {
		this.unPickQty = unPickQty;
	}

	public String getBillId() {
		return billId;
	}

	public void setBillId(String billId) {
		this.billId = billId;
	}

	public String getPickPieceGroup() {
		return pickPieceGroup;
	}

	public void setPickPieceGroup(String pickPieceGroup) {
		this.pickPieceGroup = pickPieceGroup;
	}

	public String getStationId() {
		return stationId;
	}

	public void setStationId(String stationId) {
		this.stationId = stationId;
	}

	public String getStationCode() {
		return stationCode;
	}

	public void setStationCode(String stationCode) {
		this.stationCode = stationCode;
	}

	public String getStationName() {
		return stationName;
	}

	public void setStationName(String stationName) {
		this.stationName = stationName;
	}

	public String getPickTaskId() {
		return this.pickTaskId;
	}

	public void setPickTaskId(String pickTaskId) {
		this.pickTaskId = pickTaskId;
	}

	public Integer getPickTaskType() {
		return this.pickTaskType;
	}

	public void setPickTaskType(Integer pickTaskType) {
		this.pickTaskType = pickTaskType;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getContainerCode() {
		return this.containerCode;
	}

	public void setContainerCode(String containerCode) {
		this.containerCode = containerCode;
	}

	public String getWaveId() {
		return this.waveId;
	}

	public void setWaveId(String waveId) {
		this.waveId = waveId;
	}

	public String getWarehouseId() {
		return this.warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getPickOrderId() {
		return this.pickOrderId;
	}

	public void setPickOrderId(String pickOrderId) {
		this.pickOrderId = pickOrderId;
	}

	public String getContainerNo() {
		return containerNo;
	}

	public void setContainerNo(String containerNo) {
		this.containerNo = containerNo;
	}

    public String getSlidewayId() {
        return slidewayId;
    }

    public void setSlidewayId(String slidewayId) {
        this.slidewayId = slidewayId;
    }

	public Integer getPriority() {
		return priority;
	}

	public void setPriority(Integer priority) {
		this.priority = priority;
	}

}
